---
lang: en
title: 'API docs: rest.controllerroute.invokehandler'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.controllerroute.invokehandler.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ControllerRoute](./rest.controllerroute.md) &gt; [invokeHandler](./rest.controllerroute.invokehandler.md)

## ControllerRoute.invokeHandler() method

<b>Signature:</b>

```typescript
invokeHandler(requestContext: Context, args: OperationArgs): Promise<OperationRetval>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  requestContext | <code>Context</code> |  |
|  args | <code>OperationArgs</code> |  |

<b>Returns:</b>

`Promise<OperationRetval>`


